<template>
    <div class="box-modalMobile">
        <div class="box-modalTwo">
            <div class="box-topModal">
                <h2 class="title-h2">{{ $t('ui.header.short_stats.title') }}</h2>
                <svg class="close-modalTwo" @click="close">
                    <use xlink:href="/img/sprite.svg#cancel-button"/>
                </svg>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.daily_payouts') }}
                    <span>{{ stats.daily_accruals }}$</span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_balance') }}
                    <span>{{ stats.users_balances }} $</span>
                </p>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.project_left') }}
                    <span>{{ stats.left_to_live }} <span class="lower">{{ $t('ui.days') }}</span></span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.deposits_sum') }}
                    <span>{{ stats.deposits_sum }}$</span>
                </p>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_online') }}
                    <span>{{ stats.online_users }} <span class="lower">{{ $t('ui.people') }}</span>.</span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.withdraws_waiting') }}
                    <span>{{ stats.waiting_withdraws }}$</span>
                </p>
            </div>
            <div class="box-flex__element">
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_today') }}
                    <span>{{ stats.day_online }} <span class="lower">{{ $t('ui.people') }}</span>.</span>
                </p>
                <p class="text-element">
                    {{ $t('ui.header.short_stats.users_weekly') }}
                    <span>{{ stats.week_online }} <span class="lower">{{ $t('ui.people') }}</span>.</span>
                </p>
            </div>
        </div>
    </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
    name: "ShortStats",
    data(){
        return {
            stats: {}
        }
    },
    computed: {
        ...mapGetters([
            'axios'
        ])
    },
    methods: {
        load(){
            this.axios
                .get('short_stats')
                .then(r => r.data)
                .then(data => this.stats = data);
        },
        close(){
            this.$emit('close');
        }
    },
    mounted() {
        this.load();
    }
}
</script>

<style scoped>

</style>
